Delete summary
curl --request DELETE \
--url https://sandbox.tight.com/v6/summaries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/summaries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/summaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "sum_123456789",
"summary": "Monthly financial summary for January 2024",
"date": "2025-01-01",
"status": "ACTIVE",
"conversation": {
"id": "<string>"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
}
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Summaries
Delete summary
Delete a summary for the given id
DELETE
/
v6
/
summaries
/
{id}
Delete summary
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Path Parameters
The id of the summary
⌘I